Skip to main content
GET
Spree Seller SDK

Authorizations

Authorization
string
header
required

JWT token for an authenticated seller session (seller_api audience)

Headers

X-Spree-Seller-Id
string
required

Path Parameters

id
string
required

Package type ID

Response

package type found

id
string
required
name
string
required
kind
enum<string>
required
Available options:
box,
envelope,
carton,
pallet,
container
length
string | null
required
width
string | null
required
height
string | null
required
weight
string | null
required
max_weight
string | null
required
default
boolean
required
metadata
object | null
required
created_at
string
required
updated_at
string
required
dimensions_unit
enum<string>
required
Available options:
mm,
cm,
in,
ft
weight_unit
enum<string>
required
Available options:
g,
kg,
lb,
oz
volume
string | null
required
editable
boolean
required